Last modified: 2014-11-12 16:32:50 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 69878 - Remove 'apiScript' from $wgResourceLoaderSources
Remove 'apiScript' from $wgResourceLoaderSources
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
ResourceLoader (Other open bugs)
1.24rc
All All
: Normal normal (vote)
: 1.24.0 release
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2014-08-22 00:22 UTC by Kunal Mehta (Legoktm)
Modified: 2014-11-12 16:32 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Kunal Mehta (Legoktm) 2014-08-22 00:22:15 UTC
When $wgResourceLoaderSources was introduced, it required two keys, one for the load.php location, and another for the api.php endpoint. However, RL only actually uses the load.php location. The api part is unused, except for usage in ForeignAPIGadgetRepo in Gadgets 2.0.

I think it's inappropriate to have 'apiScript' in the core config, especially if nearly nothing uses it. The API link should be moved to a Gadgets configuration setting.
Comment 1 Kunal Mehta (Legoktm) 2014-08-25 08:58:46 UTC
(In reply to Kunal Mehta (Legoktm) from comment #0)
> When $wgResourceLoaderSources was introduced, it required two keys, one for
> the load.php location, and another for the api.php endpoint. 

Minor correction, it doesn't require both, just 'loadScript'. However the documentation in DefaultSettings.php did make it seem like it was.
Comment 2 Gerrit Notification Bot 2014-08-25 09:11:04 UTC
Change 156083 had a related patch set uploaded by Legoktm:
ResourceLoader: Only store sources' load.php urls

https://gerrit.wikimedia.org/r/156083
Comment 3 Gerrit Notification Bot 2014-09-07 23:10:36 UTC
Change 156083 merged by jenkins-bot:
resourceloader: Only store sources' load.php urls

https://gerrit.wikimedia.org/r/156083
Comment 4 Alex Monk 2014-09-07 23:35:12 UTC
So it's now gone from core, which has presumably broken Gadgets 2.0...
Comment 5 Andre Klapper 2014-11-12 15:16:47 UTC
All patches mentioned in this report were merged - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links